Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:35 2009

## Asterisk developer's documentation

# chan_oss_pvt Struct Reference

Collaboration diagram for chan_oss_pvt:

[legend]

## Public Types

enum | { M_UNSET, M_FULL, M_READ, M_WRITE }

## Data Fields

int | autoanswer
int | autohangup
char | context [AST_MAX_CONTEXT]
char | ctx [AST_MAX_CONTEXT]
int | cursound
char | device [64]
enum chan_oss_pvt:: { ... } | duplex
char | ext [AST_MAX_EXTENSION]
char | exten [AST_MAX_EXTENSION]
unsigned int | frags
int | hookstate
char | language [MAX_LANGUAGE]
struct timeval | lastopen
char * | mixer_cmd
int | mute
char * | name
struct chan_oss_pvt * | next
int | nosound
char | oss_read_buf [FRAME_SIZE *2+AST_FRIENDLY_OFFSET]
char | oss_write_buf [FRAME_SIZE *2]
int | oss_write_dst
int | overridecontext
struct ast_channel * | owner
unsigned int | queuesize
struct ast_frame | read_f
int | readpos
int | sampsent
int | sndcmd [2]
int | sounddev
pthread_t | sthread
int | total_blocks
char * | type
int | w_errors
int | warned

## Detailed Description

Definition at line 243 of file chan_oss.c.

## Member Enumeration Documentation

anonymous enum

Enumerator:

  M_UNSET |
  M_FULL |
  M_READ |
  M_WRITE |

Definition at line 262 of file chan_oss.c.

    00262 { M_UNSET, M_FULL, M_READ, M_WRITE } duplex;

## Field Documentation

int autoanswer

Definition at line 263 of file chan_oss.c.

Referenced by console_autoanswer(), oss_call(), oss_hangup(), and store_config().

int autohangup

Definition at line 264 of file chan_oss.c.

Referenced by oss_hangup(), and store_config().

char context[AST_MAX_CONTEXT]

Definition at line 134 of file chan_oss_old.c.

Referenced by console_dial(), and oss_new().

char ctx[AST_MAX_CONTEXT]

Definition at line 285 of file chan_oss.c.

Referenced by console_dial(), and store_config().

int cursound

Definition at line 256 of file chan_oss.c.

Referenced by console_answer(), console_flash(), console_hangup(), oss_answer(), oss_hangup(), oss_indicate(), oss_write(), send_sound(), and sound_thread().

char device[64]

Definition at line 279 of file chan_oss.c.

Referenced by oss_new(), setformat(), and store_config().

enum { ... } duplex

Referenced by setformat(), and store_config().

char ext[AST_MAX_EXTENSION]

Definition at line 284 of file chan_oss.c.

Referenced by console_dial(), and store_config().

char exten[AST_MAX_EXTENSION]

Definition at line 133 of file chan_oss_old.c.

Referenced by console_dial(), and oss_new().

unsigned int frags

Definition at line 268 of file chan_oss.c.

Referenced by setformat(), and store_config().

int hookstate

Definition at line 265 of file chan_oss.c.

Referenced by console_answer(), console_dial(), console_flash(), console_hangup(), and oss_hangup().

char language[MAX_LANGUAGE]

Definition at line 286 of file chan_oss.c.

Referenced by oss_new(), and store_config().

struct timeval lastopen`[read]`

Definition at line 275 of file chan_oss.c.

Referenced by setformat(), and store_config().

char* mixer_cmd

Definition at line 266 of file chan_oss.c.

Referenced by store_config(), and store_mixer().

int mute

Definition at line 278 of file chan_oss.c.

Referenced by console_mute(), console_unmute(), and oss_read().

char* name

Definition at line 247 of file chan_oss.c.

Referenced by console_active(), find_desc(), and store_config().

struct chan_oss_pvt* next`[read]`

Definition at line 244 of file chan_oss.c.

Referenced by console_active(), find_desc(), store_config(), and unload_module().

int nosound

Definition at line 258 of file chan_oss.c.

Referenced by console_answer(), console_flash(), console_hangup(), oss_answer(), oss_hangup(), oss_indicate(), oss_write(), send_sound(), and sound_thread().

char oss_read_buf[FRAME_SIZE *2+AST_FRIENDLY_OFFSET]

Definition at line 294 of file chan_oss.c.

Referenced by oss_read().

char oss_write_buf[FRAME_SIZE *2]

Definition at line 289 of file chan_oss.c.

Referenced by oss_write().

int oss_write_dst

Definition at line 290 of file chan_oss.c.

Referenced by oss_write().

int overridecontext

Definition at line 277 of file chan_oss.c.

Referenced by ast_ext_ctx(), and store_config().

struct ast_channel * owner`[read]`

Definition at line 283 of file chan_oss.c.

Referenced by console_answer(), console_dial(), console_flash(), console_hangup(), console_sendtext(), console_transfer(), oss_fixup(), oss_hangup(), oss_new(), oss_request(), setformat(), sound_thread(), and unload_module().

unsigned int queuesize

Definition at line 267 of file chan_oss.c.

Referenced by soundcard_writeframe(), and store_config().

struct ast_frame read_f`[read]`

Definition at line 296 of file chan_oss.c.

Referenced by oss_read().

int readpos

Definition at line 295 of file chan_oss.c.

Referenced by oss_read().

int sampsent

Definition at line 257 of file chan_oss.c.

Referenced by send_sound(), and sound_thread().

int sndcmd[2]

Definition at line 255 of file chan_oss.c.

Referenced by ring(), sound_thread(), store_config(), and unload_module().

int sounddev

Definition at line 261 of file chan_oss.c.

Referenced by oss_new(), oss_read(), setformat(), sound_thread(), soundcard_writeframe(), unload_module(), and used_blocks().

pthread_t sthread

Definition at line 281 of file chan_oss.c.

Referenced by store_config().

int total_blocks

Definition at line 260 of file chan_oss.c.

Referenced by used_blocks().

char* type

Definition at line 246 of file chan_oss.c.

Referenced by load_module(), oss_new(), and oss_read().

int w_errors

Definition at line 274 of file chan_oss.c.

Referenced by soundcard_writeframe().

int warned

Definition at line 270 of file chan_oss.c.

Referenced by setformat(), and used_blocks().

The documentation for this struct was generated from the following files:

- chan_oss.c
- chan_oss_old.c